gsw_pot_enthalpy_ice_freezing_first_derivatives {gsw} | R Documentation

## First Derivatives of Potential Enthalpy

### Description

First Derivatives of Potential Enthalpy

### Usage

    gsw_pot_enthalpy_ice_freezing_first_derivatives(SA, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

A list containing `pot_enthalpy_ice_freezing_SA` [ (J/kg)/(g/kg) ], the derivative of potential enthalpy with respect to Absolute Salinity, and `pot_enthalpy_ice_freezing_p` [ unitless ], the derivative of Conservative Temperature with respect to potential temperature. (Note that the second quantity is denoted `pot_enthalpy_ice_freezing_P` in the documentation for the Matlab function.)

### References

http://www.teos-10.org/pubs/gsw/html/gsw_pot_enthalpy_ice_freezing_first_derivatives.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    p <- c(      10,      50,     125,     250,     600,    1000)
    r <- gsw_pot_enthalpy_ice_freezing_first_derivatives(SA, p)
    expect_equal(r$pot_enthalpy_ice_freezing_SA/1e2,
          c(-1.183484968590718, -1.184125268891200, -1.184619267864844,
          -1.184026131143674, -1.183727706650925, -1.183814873741961))
    expect_equal(r$pot_enthalpy_ice_freezing_p/1e-3,
          c(-0.202880939983260, -0.203087335312542, -0.203473018454630,
          -0.204112435106666, -0.205889571619502, -0.207895691215823))

[Package gsw version 1.0-5 Index]